local L = Capitalist.Locale

if GetLocale() then
	L["Alchemy"] = "Alchemy"
	L["Blacksmithing"] = "Blacksmithing"
	L["Cooking"] = "Cooking"
	L["Enchanting"] = "Enchanting"
	L["Engineering"] = "Engineering"
	L["First Aid"] = "First Aid"
	L["Inscription"] = "Inscription"
	L["Jewelcrafting"] = "Jewelcrafting"
	L["Leatherworking"] = "Leatherworking"
	L["Mining"] = "Mining"
	L["Tailoring"] = "Tailoring"

	L.expansionRanges = {
		[L["Alchemy"]] = {
				["BC"] = 28543,
				["WOTLK"] = 53771,
			},
		[L["Blacksmithing"]] = {
				["BC"] = 29545,
				["WOTLK"] = 52567,
			},
		[L["Cooking"]] = {
				["BC"] = 33277,
				["WOTLK"] = 45549,
			},
		[L["Enchanting"]] = {
				["BC"] = 27899,
				["WOTLK"] = 44483,
			},
		[L["Engineering"]] = {
				["BC"] = 30303,
				["WOTLK"] = 53281,
			},
		[L["First Aid"]] = {
				["BC"] = 27032,
				["WOTLK"] = 45545,
			},
		[L["Inscription"]] = {
				["BC"] = 1,
				["WOTLK"] = 1,	-- Inscription recipes began with "Wrath of the Lich King" expansion
			},
		[L["Jewelcrafting"]] = {
				["BC"] = 1,	-- Jewelcrafting recipes began with "Burning Crusade" expansion
				["WOTLK"] = 53830,
			},
		[L["Mining"]] = {
				["BC"] = 29356,
				["WOTLK"] = 49252,
			},
		[L["Leatherworking"]] = {
				["BC"] = 32454,
				["WOTLK"] = 50936,
			},
		[L["Tailoring"]] = {
				["BC"] = 26745,
				["WOTLK"] = 55642,
			},
	}

	L["Found %d new products and %d new components."] = "Found %d new products and %d new components."
	L["Found %d new character products."] = "Found %d new character products."

	L["Product %s costs %s to make via %s."] = "Product %s costs %s to make via %s."
	L["Component %s price is set at %s."] = "Component %s price is set at %s."
	L["Item %s value unknown."] = "Item %s value unknown."

	-- REVIEW: remove
	L["Dust"] = "Dust"
	L["Essence"] = "Essence"
	L["Shard"] = "Shard"
	L["Crystal"] = "Crystal"
	
	L["Enchanting Vellum"] = "Enchanting Vellum"
	
	L["Enchant "] = "Enchant "
	L["Scroll of "] = "Scroll of "
	L["Scroll of Enchant "] = "Scroll of Enchant "
	L["Glyph of "] = "Glyph of"
	L["Transmute:"] = "Transmute:"

	L["You create:"] = "You create:"
	L["Auction created."] = "Auction created."
	L["Inventory is full."] = "Inventory is full."
	
	L["Scanning"] = "Scanning"
	L["Scanning %d/%d"] = "Scanning %d/%d"
	L["Last Scan: "] = "Last Scan: "
	L["Last Scan: failed"] = "Last Scan: failed"
	L["perform scan"] = "perform scan"
	
	L["Posting"] = "Posting"
	L["Posting %d/%d"] = "Posting %d/%d"
	L["cancel auctions"] = "cancel auctions"
	L["post products"] = "post products"

	L["None"] = "None"
	L["All (%d)"] = "All (%d)"
	
	L["cancel yellow auctions"] = "cancel yellow auctions"
	L["cancel blue auctions"] = "cancel blue auctions"
	L["cancel auctions that expire in 12h"] = "cancel auctions that expire in 12h"
	
	L["Nothing to restock!"] = "Nothing to restock!"
	L["Need to restock 1 product:"] = "Need to restock 1 product:"
	L["Need to restock %d products:"] = "Need to restock %d products:"
	L["Could not restock anything!"] = "Could not restock anything!"
	
	L["Missing components:"] = "Missing components:"
	L["Components in alt inventories:"] = "Components in alt inventories:"
	L["Components in bank:"] = "Components in banks:"
	L["Everything available!"] = "Everything available!"

	L["needing scan"] = "needing scan"
	L["at cheapest price"] = "at cheapest price"
	L["needing repost"] = "needing repost"
	L["not worth listing"] = "not worth listing"
	L["with more room for profit"] = "with more room for profit"
	L["out of stock"] = "out of stock"

	L["Products out of stock:"] = "Products out of stock:"
	L["Products fully stocked."] = "Products fully stocked."

	L["General"] = "General"
	
	L["Show by default"] = "Show by default"
	L["Automatically opens Capitalist when you enter the Auction House"] = "Automatically opens Capitalist when you enter the Auction House"
	
	L["Merchant costing"] = "Merchant costing"
	L["When unlimited items are found on a merchant, update component price to match."] = "When unlimited items are found on a merchant, update component price to match."
	L["Merchant price update:"] = "Merchant price update:"
	L["Updating %s cost from %s to %s."] = "Updating %s cost from %s to %s."
	L["Removing cost (%s) from product (%s)."] = "Removing cost (%s) from product (%s)."
	L["Components missing cost information:"] = "Components missing cost information:"
	L["All component costs set."] = "All component costs set."

	L["Minimal profit"] = "Minimal profit"
	L["How much you want to gain at minimum from each product (price is simply added to material cost)."] = "How much you want to gain at minimum from each product (price is simply added to material cost)."
	
	L["Price margin"] = "Price margin"
	L["The increase (in percent) in price, if there is no or very expensive competition."] = "The increase (in percent) in price, if there is no or very expensive competition."
	
	L["Minimal increase"] = "Minimal increase"
	L["How much (in gold) the price should increase at minimum if there is no or very expensive competition."] = "How much (in gold) the price should increase at minimum if there is no or very expensive competition."
	
	L["Maximal increase"] = "Maximal increase"
	L["How much (in gold) the price should increase at maximum if there is no or very expensive competition."] = "How much (in gold) the price should increase at maximum if there is no or very expensive competition."
	
	L["Northrend"] = "Northrend"
	L["If checked, enchants using Northrend components will be produced"] = "If checked, enchants using Northrend components will be produced"
	
	L["Burning Crusade"] = "Burning Crusade"
	L["If checked, enchants using Burning Crusade components will be produced"] = "If checked, enchants using Burning Crusade components will be produced"
	
	L["Classic"] = "Classic"
	L["If checked, enchants using Classic components will be produced"] = "If checked, enchants using Classic components will be produced"
	
	L["Filters"] = "Filters"
	L["all products"] = "all products"
	L["enable or disable all products"] = "enable or disable all products"
	
	L["Component Costs"] = "Component Costs"
	L["Set the cost of %s in gold"] = "Set the cost of %s in gold"
	
	L["Counts"] = "Counts"
	
	L["Created Products"] = "Created Products"

	L["Debug"] = "Debug"

	-- TODO: Generalize support for BOP crafts
	L.checkForValidSkillName = 	function(profession,name)
									if (profession == "Enchanting") then
										-- enchanting-specific
										local slot = name:match("Enchant ([%a2 ]+)-.+")		-- validates if the string has the form
										return slot and slot ~= "Ring "						-- "Enchant XY - Z" (with XY != Ring)
									else
										return true
									end
								end													

	-- TODO: enchanting-specific, and isn't smart about non-scroll
	L.stripSkillName 		= 	function(name)
									return name:match("Enchant ([%a2 ]+-.+)")			-- strips "Enchant" from the skill name
								end

end

function Capitalist:ReportSyntax()
	self:Print("Available commands:")
	self:Print("    cost NAME          output the cost of item NAME")
	self:Print("    missing               lists the components missing cost information")
	self:Print("    professions          list character's professions")
	self:Print("    restock                restock 1 item (profession window must be open)")
	self:Print("    sequence NAME  outputs the crafting tree for product NAME")
	self:Print("    top10                   list top 10 crafts for this character")
end
